Bug 246355 - Rekonq does not saves parameters when using "Try Again" button
Summary: Rekonq does not saves parameters when using "Try Again" button
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Applications
Component: general (show other bugs)
Version: 0.5.0
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: 0.7
Assignee: Andrea Diamantini
URL:
Keywords:
: 254722 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-07-31 16:35 UTC by Stas
Modified: 2011-02-19 10:40 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stas 2010-07-31 16:35:50 UTC
Version:           0.5.0 (using KDE 4.4.4) 
OS:                Linux

When there are problems with internet connection and page loading fails and shows "Try Again" button - after pressing "Try Again" url parameters (like PHPBB topic IDs) are lost.

Reproducible: Always

Steps to Reproduce:
1. Open any PHPBB page.
2. Shut down internet connection.
3. Open any page in new tab.
4. Make internet connection available again.
5. Press "Try Again" button.

Actual Results:  
You will see the url without paremeters and message about wrong page or something like that.

Expected Results:  
The real page will be loaded and all parameters preserved.

OS: Linux (x86_64) release 2.6.34-12-default
Compiler: gcc
Comment 1 Panagiotis Papadopoulos 2010-08-01 11:38:07 UTC
I can confirm this too with the latest rekonq mainline.
Comment 2 Panagiotis Papadopoulos 2010-10-20 13:01:24 UTC
*** Bug 254722 has been marked as a duplicate of this bug. ***
Comment 3 Panagiotis Papadopoulos 2010-10-20 22:16:10 UTC
found the culprit for this bug:

Line 598 in webpage.cpp

QString urlString = Qt::escape(reply->url().toString(QUrl::RemoveUserInfo | QUrl::RemoveQuery | QUrl::RemovePath));
Comment 4 Giovanni Venturi 2010-11-21 15:08:14 UTC
Cannot backport to reKonq 0.6.x ?
Comment 5 Andrea Diamantini 2011-01-09 17:39:45 UTC
(In reply to comment #4)
> Cannot backport to reKonq 0.6.x ?

Yes, as soon as we fixed it.
Comment 6 Felix Rohrbach 2011-01-22 15:05:00 UTC
We need to cut the url because of a security issue, so it's not as easy as it looks like. We still try to fix that though.
Comment 7 Andrea Diamantini 2011-01-24 22:44:59 UTC
Git commit 1d83ce109628cf28269a849abec9786b9e920c39 by Andrea Diamantini.
Pushed by adjam into branch 'master'.

This evening I started working again on this bug. I did all the tests against XSS
and it seems ok. Hope it's true.

CCBUG:217464
CCBUG:246355

M  +7    -4    src/webpage.cpp     

http://commits.kde.org/rekonq/1d83ce109628cf28269a849abec9786b9e920c39
Comment 8 Andrea Diamantini 2011-02-13 23:42:34 UTC
It seems working here now. Can someone please confirm it, so that we can close this bug (and backport to 0.6 as requested by Giovanni)?
Comment 9 Alexander van Loon 2011-02-18 19:50:30 UTC
I just updated to a more recent version of rekonq through this – https://launchpad.net/~yoann-laissus/+archive/rekonq-ppa – repository, which contains a daily build of 10 Februari. To try to reproduce the bug I followed the steps indicated by the bug reporter as closely as possible, I visited the phpBB forum – http://www.phpbb.com/community/index.php – of the phpBB community itself. I can confirm the bug did not occur.
Comment 10 Andrea Diamantini 2011-02-19 10:40:57 UTC
OK :D
Backporting today...